# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v1.1.0](https://github.com/voxpupuli/puppet-puppet_certificate/tree/v1.1.0) (2024-02-01)

[Full Changelog](https://github.com/voxpupuli/puppet-puppet_certificate/compare/v1.0.0...v1.1.0)

**Implemented enhancements:**

- README.md: Update code example [\#23](https://github.com/voxpupuli/puppet-puppet_certificate/pull/23) ([bastelfreak](https://github.com/bastelfreak))
- Document PE workaround for auth.conf [\#19](https://github.com/voxpupuli/puppet-puppet_certificate/pull/19) ([bastelfreak](https://github.com/bastelfreak))
- Add Puppet 8 support [\#17](https://github.com/voxpupuli/puppet-puppet_certificate/pull/17) ([bastelfreak](https://github.com/bastelfreak))

## [v1.0.0](https://github.com/voxpupuli/puppet-puppet_certificate/tree/v1.0.0) (2023-05-24)

[Full Changelog](https://github.com/voxpupuli/puppet-puppet_certificate/compare/0.1.0...v1.0.0)

Release 1.0.0 is the first release of the `puppet_certificate` module in the [Vox Pupuli](https://voxpupuli.org/) namespace.

It is the first version, (under any puppetforge namespace), to support Puppet 6 and 7, (and likely also works with the upcoming Puppet 8). It is also tested with some very old Puppet versions (eg. 3.x on Ruby 2.0).  There is a lot of code in the provider to make this possible and a future major release will likely drop this code.

**Closed issues:**

- Certificate cleaning fails if CA is missing the certificate [\#13](https://github.com/voxpupuli/puppet-puppet_certificate/issues/13)
- Compatibility with Puppet 7 [\#10](https://github.com/voxpupuli/puppet-puppet_certificate/issues/10)
- Puppet::SSL::Host is deprecated [\#9](https://github.com/voxpupuli/puppet-puppet_certificate/issues/9)
- Uninitialized constant Puppet::Rest [\#8](https://github.com/voxpupuli/puppet-puppet_certificate/issues/8)

**Merged pull requests:**

- Ignore `certificate unknown` error when cleaning cert [\#14](https://github.com/voxpupuli/puppet-puppet_certificate/pull/14) ([alexjfisher](https://github.com/alexjfisher))
- Vox Pupuli migration [\#12](https://github.com/voxpupuli/puppet-puppet_certificate/pull/12) ([alexjfisher](https://github.com/alexjfisher))
- Big refactor and make it work with Puppet 6 and 7 [\#11](https://github.com/voxpupuli/puppet-puppet_certificate/pull/11) ([alexjfisher](https://github.com/alexjfisher))
- Add support for Puppet 6 [\#7](https://github.com/voxpupuli/puppet-puppet_certificate/pull/7) ([m4rx0](https://github.com/m4rx0))
- Add clean parameter [\#5](https://github.com/voxpupuli/puppet-puppet_certificate/pull/5) ([raphink](https://github.com/raphink))
- Ensure valid [\#4](https://github.com/voxpupuli/puppet-puppet_certificate/pull/4) ([raphink](https://github.com/raphink))
- Add refresh [\#3](https://github.com/voxpupuli/puppet-puppet_certificate/pull/3) ([raphink](https://github.com/raphink))

## [0.1.0](https://github.com/voxpupuli/puppet-puppet_certificate/tree/0.1.0) (2019-11-25)

[Full Changelog](https://github.com/voxpupuli/puppet-puppet_certificate/compare/0.0.3...0.1.0)

## [0.0.3](https://github.com/voxpupuli/puppet-puppet_certificate/tree/0.0.3) (2015-03-31)

[Full Changelog](https://github.com/voxpupuli/puppet-puppet_certificate/compare/0.0.2...0.0.3)

## [0.0.2](https://github.com/voxpupuli/puppet-puppet_certificate/tree/0.0.2) (2013-03-26)

[Full Changelog](https://github.com/voxpupuli/puppet-puppet_certificate/compare/cee4fc166c485ad3cb0c496e7d6d57d621aa921b...0.0.2)

**Merged pull requests:**

- Add a 'waitforcert' parameter to the puppet\_certificate type [\#1](https://github.com/voxpupuli/puppet-puppet_certificate/pull/1) ([branan](https://github.com/branan))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
